(function(){
    X.pageLogic['deluserinfo'] = {
        init : function(parms){
            var me = this;
            this.parms = parms;
            this.callback = parms.callback; //选择后执行的回调
            var data = parms.extData;//获取到上层弹窗传的数据
            $(".deluserinfo-bottom-left").click(function(e){
                X.api("project/del_member","post",{username:data.name,project_id:X.DATA.projectid,role:data.role},function(d){
                    layer.msg('删除成功');
                    me.callback && me.callback(data);
                    layer.closeAll();
                })
            })
            
            $(".deluserinfo-qx").click(function(e){
                layer.closeAll();
            })

        }
    };
})();
